org.apache.solr.cloud

## Class Assign

- java.lang.Object
- - org.apache.solr.cloud.Assign

-     public class Assign
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assign()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `assignNode(DocCollection collection)`
    `static String` | `assignShard(DocCollection collection, Integer numShards)` Assign a new unique id up to slices count - then add replicas evenly.
    `static List<org.apache.solr.cloud.Assign.ReplicaCount>` | `getNodesForNewReplicas(ClusterState clusterState, String collectionName, String shard, int numberOfNodes, String createNodeSetStr, CoreContainer cc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Assign

          public Assign()

  - ### Method Detail

    - #### assignNode

          public static String assignNode(DocCollection collection)

    - #### assignShard

          public static String assignShard(DocCollection collection,
                                           Integer numShards)

      Assign a new unique id up to slices count - then add replicas evenly.
      Returns:
        the assigned shard id

    - #### getNodesForNewReplicas

          public static List<org.apache.solr.cloud.Assign.ReplicaCount> getNodesForNewReplicas(ClusterState clusterState,
                                                                                               String collectionName,
                                                                                               String shard,
                                                                                               int numberOfNodes,
                                                                                               String createNodeSetStr,
                                                                                               CoreContainer cc)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.